Solid Edge Part Type Library
Name Property
Description
Returns the name of the referenced object.
Property type
Read-write property
Syntax
Visual Basic
Public Property Name As String
Remarks
All objects have names that are unique within the scope of their parent.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    ' Local variables to be declared here
    Dim sName As String
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Create a Profile object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1))
    'Set a Name to the Profile
    objProfile.Name = "MyProfile"
    'Get the Name of the Profile
    sName = objProfile.Name
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
End Sub
See Also

Profile Object  | Profile Members